See your organization's scheduling runs
This endpoint returns a paginated list of your organization's scheduling runs. Use it to see what is currently running, check how close you are to the concurrency limit, or recover an actionUuid you no longer have.
Request URL
get https://api.plan.routific.com/v2/schedules
Request Payload
//none
Response Payload
{
"items":
[
{
"actionUuid": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
"workspaceUuid": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"date": "2025-07-08",
"status": "pending",
"createdAt": "2025-07-08T14:02:11Z",
"uri": "/v2/schedules/f81d4fae-7dec-11d0-a765-00a0c91e6bf6"
}
],
"nextCursor": null
}
| Fields | Type | Description |
|---|---|---|
| actionUuid | String | Identifies this scheduling run request |
| workspaceUuid | String | Workspace under which the scheduling action has taken place |
| date | Date | Planned date for the routes |
| status | String | Status of the scheduling action |
| createdAt | DateTime | Creation time of the scheduling action |
| uri | String | Used to fetch the status and actionSummary of the scheduling action |
| nextCursor | String | The URL for the next page of results. If there are no more pages, this value is null. |

